<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CrtateTableAlbumXyxUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_xyx_user', function (Blueprint $table) {
            $table->increments('id');
            $table->string('username',100)->comment('名称');
            $table->string('wechat_open_id',100)->comment('微信open_id');
            $table->string('wechat_union_id',100)->comment('微信union_id');
            $table->string('avatar',255)->comment('头像链接');
            $table->unsignedinteger('store_id')->comment('商户号');
            $table->unsignedInteger('xcx_id')->comment('关联小程序用户');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_xyx_user');
    }
}
